<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{A17123DE-A61A-4166-9AE5-F18C05C3E41F}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>ProjectManagementSystem</RootNamespace>
    <AssemblyName>ProjectManagementSystem</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <AutorunEnabled>true</AutorunEnabled>
    <ApplicationRevision>1</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <PublishWizardCompleted>true</PublishWizardCompleted>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Online.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Antlr3.Runtime, Version=3.5.0.2, Culture=neutral, PublicKeyToken=eb42632606e9261f, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\Antlr3.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="AutoUpdater.NET">
      <HintPath>..\PmsDLL\AutoUpdater.NET.dll</HintPath>
    </Reference>
    <Reference Include="ExpressionEvaluator, Version=2.0.4.0, Culture=neutral, PublicKeyToken=90d9f15d622e2348, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\ExpressionEvaluator.dll</HintPath>
    </Reference>
    <Reference Include="FluentNHibernate">
      <HintPath>..\..\..\..\..\..\Dll\commom\FluentNHibernate.dll</HintPath>
    </Reference>
    <Reference Include="HslCommunication">
      <HintPath>..\PmsDLL\HslCommunication.dll</HintPath>
    </Reference>
    <Reference Include="Iesi.Collections">
      <HintPath>..\..\..\..\..\..\Dll\commom\Iesi.Collections.dll</HintPath>
    </Reference>
    <Reference Include="MaxCommunication.BaseType, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\MaxCommunication.BaseType.dll</HintPath>
    </Reference>
    <Reference Include="MaxCommunication.DataBase, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\MaxCommunication.DataBase.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate">
      <HintPath>..\..\..\..\..\..\Dll\commom\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="Pms.DataLibrary, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\Pms.DataLibrary.dll</HintPath>
    </Reference>
    <Reference Include="Pms.Models, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\Pms.Models.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.Electronic, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.Electronic.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.Entrance, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.Entrance.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.Interface, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.Interface.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.SystemConfig, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.SystemConfig.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.TaskManager, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.TaskManager.dll</HintPath>
    </Reference>
    <Reference Include="PmsSecondaryPackaging.WareHouse, Version=4.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\PmsSecondaryPackaging.WareHouse.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http.Formatting, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\System.Net.Http.Formatting.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Cors, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\System.Web.Cors.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Web.Http, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\System.Web.Http.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http.Cors, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\System.Web.Http.Cors.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http.SelfHost, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\System.Web.Http.SelfHost.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Config\CConfigManager.cs" />
    <Compile Include="Config\CustomConfig.cs" />
    <Compile Include="Enterance\SystemEnterance.cs" />
    <Compile Include="MainForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MainForm.Designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="NHibernateDBHelper\DBAccessSetting.cs" />
    <Compile Include="NHibernateDBHelper\MiddleDBModelHelper.cs" />
    <Compile Include="NHibernateDBHelper\WMSDBModelHelper.cs" />
    <Compile Include="OrderLogic\COrderLogic.cs" />
    <Compile Include="OrderLogic\IOrderLogic.cs" />
    <Compile Include="OrderLogic\Logic_3F空车缓存区.cs" />
    <Compile Include="OrderLogic\Logic_3F还原车间.cs" />
    <Compile Include="OrderLogic\OrderLogicBase.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TaskBookEvent\FCH\TaskBookBehavior_61005.cs" />
    <Compile Include="TaskBookEvent\FCH\TaskBookBehavior_61007.cs" />
    <Compile Include="TaskBookEvent\FCH\TaskBookBehavior_61008.cs" />
    <Compile Include="TaskBookEvent\FCH\TaskBookBehavior_61009.cs" />
    <Compile Include="TaskBookEvent\FCH\TaskBookBehavior_61010.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63000.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63001.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63002.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63003.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63011.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63012.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63013.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_63400.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_65051.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_65052.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_65053.cs" />
    <Compile Include="TaskBookEvent\TaskBookBehavior_PLC.cs" />
    <Compile Include="TaskBookEvent\TaskBookRegister.cs" />
    <Compile Include="TaskEvent\CTaskEvent.cs" />
    <Compile Include="TaskEvent\CTaskEventBase.cs" />
    <Compile Include="UI\CallBoxUI.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\CallBoxUI.Designer.cs">
      <DependentUpon>CallBoxUI.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\DataGridUI.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\DataGridUI.Designer.cs">
      <DependentUpon>DataGridUI.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\DebugUI.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\DebugUI.designer.cs">
      <DependentUpon>DebugUI.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\IDisplayUI.cs" />
    <Compile Include="UI\LogUI.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\LogUI.Designer.cs">
      <DependentUpon>LogUI.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\PlcUI.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\PlcUI.Designer.cs">
      <DependentUpon>PlcUI.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="UI\CallBoxUI.resx">
      <DependentUpon>CallBoxUI.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\DataGridUI.resx">
      <DependentUpon>DataGridUI.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\DebugUI.resx">
      <DependentUpon>DebugUI.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\LogUI.resx">
      <DependentUpon>LogUI.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <None Include="基础配置表.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DbCommon\DbCommon.csproj">
      <Project>{29E941EE-35D4-44D1-BC52-E5FFC3B2D047}</Project>
      <Name>DbCommon</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.Common\ProjectManagementSystem.Common.csproj">
      <Project>{98b2225b-93ba-4a5b-b96f-7b47d75015af}</Project>
      <Name>ProjectManagementSystem.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.Device\ProjectManagementSystem.Device.csproj">
      <Project>{534ff428-01ee-44ec-92f3-6da3676155a2}</Project>
      <Name>ProjectManagementSystem.Device</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.Model\ProjectManagementSystem.Model.csproj">
      <Project>{6a437430-7938-4303-9d4c-3e11964e570e}</Project>
      <Name>ProjectManagementSystem.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.WebApi\ProjectManagementSystem.WebApi.csproj">
      <Project>{ed705467-fd55-4852-85a1-3c41b4682540}</Project>
      <Name>ProjectManagementSystem.WebApi</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Online.ico" />
    <None Include="PMS.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.6.1">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.6.1 %28x86 和 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>